release.sh: simplify by removing usb option

. relies on bios_wini which is long gone

Change-Id: I95257b6204cc6d928abcbd8492808b4b6450a99e
This commit is contained in:
Ben Gras 2013-09-25 12:22:27 +00:00
parent a16d9e9f51
commit 9dfbfc9af7
4 changed files with 25 additions and 93 deletions

View file

@ -524,11 +524,9 @@ service filter
ipc ipc
SYSTEM pm vfs rs ds vm SYSTEM pm vfs rs ds vm
at_wini at_wini
bios_wini
; ;
control control
at_wini at_wini
bios_wini
; ;
}; };
@ -684,6 +682,5 @@ service fbd
SYSTEM VFS RS DS VM SYSTEM VFS RS DS VM
ahci ahci
at_wini at_wini
bios_wini
; ;
}; };

View file

@ -240,27 +240,6 @@ programs do with mail boxes. A "no locks available" error indicates that
this table has run out. this table has run out.
.PP .PP
.ti 2m .ti 2m
.B kernel/bios_wini.c
.ti 2m
.B kernel/dosfile.c
.ti 2m
.B kernel/fatfile.c
.br
The number of disks each of these drivers can handle is specified by:
.TP
.B MAX_DRIVES
This parameter is set to
.B 4
for the BIOS and "DOS file" drivers, and to
.B 2
for the "FAT file" driver. It can be set as high as you need to allow for
more disks, or files as disks. (The "FAT" driver needs quite some memory per
disk, which is why it by default only allows 2 disks.) You will need to run
.BR MAKEDEV (8)
to create the extra disk devices in
.BR /dev/ .
.PP
.ti 2m
.B inet/inet_config.h .B inet/inet_config.h
.br .br
The maximum number of TCP/IP networks is: The maximum number of TCP/IP networks is:

View file

@ -100,21 +100,6 @@ load=/mod12_init
END_BOOT_CFG END_BOOT_CFG
} }
usb_root_changes()
{
$RELEASEDIR/usr/sbin/installboot_nbsd $TMPDISKROOT \
$RELEASEDIR/usr/mdec/bootxx_minixfs3
echo \
cat >$RELEASEMNTDIR/boot.cfg <<END_BOOT_CFG
menu=Regular MINIX 3:load_mods /boot/minix_default/mod*;multiboot /boot/minix_default/kernel bios_wini=yes bios_remap_first=1 rootdevname=c0d7p0s0
menu=Edit menu option:edit
menu=Drop to boot prompt:prompt
clear=1
timeout=10
default=1
END_BOOT_CFG
}
copy_local_packages() copy_local_packages()
{ {
if [ -d $PACKAGEDIR -a -f $PACKAGELIST -a $PACKAGES -ne 0 ] if [ -d $PACKAGEDIR -a -f $PACKAGELIST -a $PACKAGES -ne 0 ]

View file

@ -75,11 +75,11 @@ fi
FILENAMEOUT="" FILENAMEOUT=""
while getopts "b:j:ls:pmMchu?f:L:e:" c while getopts "b:j:ls:pmMch?f:L:e:" c
do do
case "$c" in case "$c" in
\?) \?)
echo "Usage: $0 [-l] [-p] [-c] [-m] [-M] [-u] [-f <filename>] [-s <username>] -j<jaildir> [-L <packageurl>] [-e <extras-path>]" >&2 echo "Usage: $0 [-l] [-p] [-c] [-m] [-M] [-f <filename>] [-s <username>] -j<jaildir> [-L <packageurl>] [-e <extras-path>]" >&2
exit 1 exit 1
;; ;;
b) b)
@ -96,11 +96,6 @@ do
RELEASEDIR=$OPTARG RELEASEDIR=$OPTARG
JAILMODE=1 JAILMODE=1
;; ;;
u)
echo " * Making live USB-stick image"
IMG_BASE=minix${version}_usb
USB=1
;;
f) f)
FILENAMEOUT="$OPTARG" FILENAMEOUT="$OPTARG"
;; ;;
@ -193,11 +188,7 @@ then
#endif" >>$CONFIGHEADER #endif" >>$CONFIGHEADER
DATE=`date +%Y%m%d` DATE=`date +%Y%m%d`
# output image name # output image name
if [ "$USB" -ne 0 ]; then IMG=${IMG_BASE}_${DATE}_${REVTAG}.iso
IMG=${IMG_BASE}_${DATE}_${REVTAG}.img
else
IMG=${IMG_BASE}_${DATE}_${REVTAG}.iso
fi
else else
echo "First cleaning current sourcedir.." echo "First cleaning current sourcedir.."
( cd .. && make cleandir >/dev/null ) ( cd .. && make cleandir >/dev/null )
@ -211,9 +202,7 @@ else
fi fi
# Make sure the CD knows it's a CD, unless it's not # Make sure the CD knows it's a CD, unless it's not
if [ "$USB" -eq 0 ] date >$RELEASEDIR/CD
then date >$RELEASEDIR/CD
fi
rm -f $RELEASEDIR/usr/$SRC/releasetools/revision rm -f $RELEASEDIR/usr/$SRC/releasetools/revision
@ -293,17 +282,6 @@ extrakb=`du -ks $RELEASEDIR/usr/install | awk '{ print $1 }'`
find $RELEASEDIR/usr | fgrep -v /install/ | wc -l >$RELEASEDIR/.usrfiles find $RELEASEDIR/usr | fgrep -v /install/ | wc -l >$RELEASEDIR/.usrfiles
find $RELEASEDIR -print -path $RELEASEDIR/usr -prune | wc -l >$RELEASEDIR/.rootfiles find $RELEASEDIR -print -path $RELEASEDIR/usr -prune | wc -l >$RELEASEDIR/.rootfiles
fstab_marker="# Poor man's File System Table."
echo " * Writing fstab"
if [ "$USB" -ne 0 ]
then
echo \
"$fstab_marker
root=/dev/c0d7p0s0
usr=/dev/c0d7p0s2
" > $RELEASEDIR/etc/fstab
fi
########################################################################## ##########################################################################
echo " * Mounting $TMPDISKROOT as $RELEASEMNTDIR" echo " * Mounting $TMPDISKROOT as $RELEASEMNTDIR"
########################################################################## ##########################################################################
@ -329,10 +307,7 @@ echo " * Unmounting $TMPDISKUSR from $RELEASEMNTDIR/usr"
umount $TMPDISKUSR || exit umount $TMPDISKUSR || exit
echo " * Making image bootable" echo " * Making image bootable"
if [ "$USB" -ne 0 ] cd_root_changes
then usb_root_changes
else cd_root_changes
fi
echo " * Unmounting $TMPDISKROOT from $RELEASEMNTDIR" echo " * Unmounting $TMPDISKROOT from $RELEASEMNTDIR"
umount $TMPDISKROOT || exit umount $TMPDISKROOT || exit
@ -348,31 +323,27 @@ echo "This is Minix version $version_pretty prepared `date`." >$CDFILES/VERSION.
boottype=-n boottype=-n
bootimage=$IMAGE bootimage=$IMAGE
if [ "$USB" -ne 0 ]; then cp $RELEASEDIR/usr/mdec/boot_monitor $CDFILES/boot
mv $bootimage $IMG cp -rf $RELEASEDIR/boot/minix_latest/* $CDFILES/
else gzip -d $CDFILES/*gz
cp $RELEASEDIR/usr/mdec/boot_monitor $CDFILES/boot writeisofs -s0x0 -l MINIX -B $bootimage $boottype $CDFILES $IMG || exit 1
cp -rf $RELEASEDIR/boot/minix_latest/* $CDFILES/
gzip -d $CDFILES/*gz
writeisofs -s0x0 -l MINIX -B $bootimage $boottype $CDFILES $IMG || exit 1
echo "Appending Minix root and usr filesystem" echo "Appending Minix root and usr filesystem"
# Pad ISO out to cylinder boundary # Pad ISO out to cylinder boundary
isobytes=`stat -f %z $IMG` isobytes=`stat -f %z $IMG`
isosects=`expr $isobytes / 512` isosects=`expr $isobytes / 512`
isopad=`expr $secs - '(' $isosects % $secs ')'` isopad=`expr $secs - '(' $isosects % $secs ')'`
dd if=/dev/zero count=$isopad >>$IMG dd if=/dev/zero count=$isopad >>$IMG
# number of sectors # number of sectors
isosects=`expr $isosects + $isopad` isosects=`expr $isosects + $isopad`
( cat $IMG $ROOTIMAGE ; ( cat $IMG $ROOTIMAGE ;
dd if=$TMPDISKUSR bs=$BS count=$USRBLOCKS ) >m dd if=$TMPDISKUSR bs=$BS count=$USRBLOCKS ) >m
mv m $IMG mv m $IMG
# Make CD partition table # Make CD partition table
installboot_nbsd -m $IMG /usr/mdec/mbr installboot_nbsd -m $IMG /usr/mdec/mbr
# Make sure there is no hole..! Otherwise the ISO format is # Make sure there is no hole..! Otherwise the ISO format is
# unreadable. # unreadable.
partition -m $IMG 0 81:$isosects 81:$ROOTSECTS 81:$USRSECTS partition -m $IMG 0 81:$isosects 81:$ROOTSECTS 81:$USRSECTS
fi
# Clean up: RELEASEDIR no longer needed # Clean up: RELEASEDIR no longer needed
rm -r $RELEASEDIR rm -r $RELEASEDIR